Index: src/test/display/MdrCheck.java
===================================================================
--- src/test/display/MdrCheck.java	(revision 561)
+++ src/test/display/MdrCheck.java	(working copy)
@@ -502,18 +502,9 @@
 			ti.isPolygon = group >= 64;
 			ti.type = toType(group, typeOrSubType);
 			ti.mdr11Rec = read(recsize -1) & mask;
-			
-			if (ti.mdr11Rec < 1 || ti.mdr11Rec > numPois) {
-				long dd = 4;
-			}
 			typesFromMdr10.add(ti);
 		}
-		typesFromMdr10.sort(new Comparator<TypeInfoMdr10>() {
-			@Override
-			public int compare(TypeInfoMdr10 o1, TypeInfoMdr10 o2) {
-				return Integer.compare(o1.mdr11Rec, o2.mdr11Rec);
-			}
-		});
+		typesFromMdr10.sort((o1, o2) -> Integer.compare(o1.mdr11Rec, o2.mdr11Rec));
 	}
 	private void check11() {
 		setShowLogs(print[11]);
@@ -877,7 +868,7 @@
 				error("repeat flag set when not repeated");
 		}
 
-		if (repeatFlag && partialFlag != null && !partialFlag) {
+		if (repeatFlag && Boolean.FALSE.equals(partialFlag)) {
 			error("Flagged as full repeat but not partial repeat");
 		}
 
@@ -1618,7 +1609,7 @@
 		charSet = Sort.charsetFromCodepage(codePage);
 		Sort sort = SrtTextReader.sortForCodepage(codePage);
 		collator = sort.getCollator();
-		collator.setStrength(Collator.SECONDARY);
+		collator.setStrength(Collator.TERTIARY);
 
 		reader.get2u();
 		reader.get2u();
